function u_r = transpose_image(u)

% translate of a 1d or 3d image (it's a rotation of 90 anticlockwise)
% u input image
% u_r output image: translation of u

[m,n,c] = size(u);
u_r = zeros(n,m,c);
for i = 1:c
    u_r(:,:,i) = u(:,n:-1:1,i)';
end